﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.DragDrop.Behaviors;
using System.Collections;
using Telerik.Windows.Controls.ScheduleView;
using System.Linq;

namespace ListBoxDragDropExample
{
	public class CustomerToAppointmentConverter : DataConverter
	{
		public override string[] GetConvertToFormats()
		{
			return new string[] { typeof(Appointment).FullName, typeof(Customer).FullName };
		}

		public override object ConvertTo(object data, string format)
		{
			var customers = (IEnumerable)DataObjectHelper.GetData(data, typeof(Customer), false);
			
			if (customers != null && format == typeof(Appointment).FullName)
			{
				return customers.OfType<Customer>().Select(c => new Appointment { Subject = c.Name });
			}
			var appointments = (IEnumerable)DataObjectHelper.GetData(data, typeof(Appointment), false);
			if (appointments != null && format == typeof(Customer).FullName)
			{
				return appointments.OfType<Appointment>().Select(a => new Customer { Name = a.Subject });
			}
			return null;
		}
	}
}